Remove Protected Databases

post

https://EM_HOST:EM_CONSOLE_HTTPS_PORT/em/api/zdlra/{raTargetId}/actions/bulkRemoveProtectedDatabases

Remove protected databases from a Recovery Appliance.

Request

Path Parameters
Header Parameters
  • Recovery Appliance Administrator Credentials. The format must be NAMED: (e.g. NAMED:ORSADMIN) or PREFERRED: (e.g. PREFERRED:PREF_ORSADMIN). If no value is specified, the system will use preferred credentials.
    Example:
    NAMED:ORSADMIN
Supported Media Types
Request Body - application/json ()
Root Schema : schema
Type: object
Details of the protected databases to be removed from a Recovery Appliance.
Show Source
Nested Schema : protectedDatabases
Type: array
List of protected databases to be removed from a Recovery Appliance.
Show Source
Nested Schema : ScheduleRAOperations
Type: object
Schedule for deployment procedure or job.
Show Source
  • Comma-separated list of days. (Required only if frequency is monthly, or yearly. Example, repeat=1d. The valid range is 1 to 30 inclusive)
  • Comma-separated list of days. (Required only if frequency is weekly. Example, repeat=1D. The valid range is 1 to 7 inclusive)
  • End time for the procedure executions (optional). If it is not specified, the procedure runs indefinitely. W3C Time format.
    Example: 2025-12-31T20:00:00UTC, 2025-12-31T20:00:00America/New_York, 2025-12-31T20:00:00Z, 2025-12-31T20:00:00+05:00
  • Allowed Values: [ "INTERVAL", "WEEKLY", "MONTHLY", "YEARLY" ]
    Schedule Frequency Options
  • grace period in minutes (optional)
  • Comma-separated list of months. (Required only if frequency is yearly). Valid range is 1 to 12 inclusive.
  • Frequency with which the job must be repeated.(Required only if frequency is set to interval.)
  • Time when the procedure is to start executing. W3C Time format.
    Example: 2024-12-31T20:00:00UTC, 2024-12-31T20:00:00America/New_York, 2024-12-31T20:00:00Z, 2024-12-31T20:00:00+05:00
Nested Schema : RemoveProtectedDatabases
Type: object
Details of the protected databases to be removed from a Recovery Appliance.
Show Source
Back to Top

Response

Supported Media Types

202 Response

Accepted
Headers
Body ()
Root Schema : ProtectedDatabaseDPSubmissionRemove
Type: object
Protected database deployment procedure status.
Show Source

400 Response

Bad Request
Body ()
Root Schema : ErrorResponse
Type: object
Response sent back in the case of an Error
Show Source

401 Response

Unauthorized
Body ()
Root Schema : ErrorResponse
Type: object
Response sent back in the case of an Error
Show Source

403 Response

Forbidden
Body ()
Root Schema : MissingPrivErrorResponse
Type: object
Response sent back as an Error in case required privileges are missing
Show Source
Match All
Response sent back as an Error in case required privileges are missing
Show Source
Nested Schema : missingPrivileges
Type: array
Privileges which are missing due to that the Error is occurred. This will have privilege internal name and display name only in the Privilege object
Show Source
Nested Schema : ErrorResponse
Type: object
Response sent back in the case of an Error
Show Source
Nested Schema : MissingPrivilegeSummary
Type: object
It represents a Privilege which is missing on a Resource to view or manage it.
Show Source

404 Response

Not Found
Body ()
Root Schema : ErrorResponse
Type: object
Response sent back in the case of an Error
Show Source

500 Response

Internal Server Error
Body ()
Root Schema : ErrorResponse
Type: object
Response sent back in the case of an Error
Show Source

503 Response

Service Unavailable
Body ()
Root Schema : ErrorResponse
Type: object
Response sent back in the case of an Error
Show Source
Back to Top